Package proton :: Class Handler

[frames] | no frames]

# Class Handler

source code

    object --+
             |
            Handler

Known Subclasses:
  - utils.BlockingConnection
  - , reactor.Connector
  - , handlers.EndpointStateHandler
  - , handlers.IncomingMessageHandler
  - , handlers.MessagingHandler
  - , handlers.OutgoingMessageHandler

Instance Methods

handlers(...) | source code

on_unhandled(self, method, *args) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`